Subject: Re: bug#57559: guix pull fails on http status code 503

From: Maxime Devos <[email-masked]>
Date: Thu, 8 Sep 2022 02:55:17 +0200

On 06-09-2022 15:09, zimoun wrote:
> The initial report by André is about:
>
> --8<---------------cut here---------------start------------->8---
> $ guix pull
> Updating channel 'nonguix' from Git repository at 'https://gitlab.com/nonguix/nonguix'...
> guix pull: error: Git error: unexpected http status code: 503
> --8<---------------cut here---------------end--------------->8---
>
> So the situation is more likely: Guix from Savannah is reachable and
> guix-foo is not.
>
> For sure, we can discuss the case when Guix is unavailable.  However,
> the 'guix channel is special; see all conditionals using ’guix-channel?’.
>
> Well, %default-guix-channel is somehow a corner use-case when the
> regular use-case seems about a failure of additional channels.

The ‘Guix is unavailable’ was just a simple example. For the example, 
you can replace it, with, say nonguix. Automatically removing the 
additional channels upon 503 is undesirable I'd think, though the error 
messages will be different.

Greetings,
Maixme.